Bug 507153 - yum fails to download repomd.xml
yum fails to download repomd.xml
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
11
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Seth Vidal
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-21 06:22 EDT by gantu
Modified: 2014-01-21 18:10 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-10-12 17:33:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description gantu 2009-06-21 06:22:26 EDT
Description of problem:An internal system error has occurred.

Traceback (most recent call last):
  File "/usr/share/PackageKit/helpers/yum/yumBackend.py", line 2059, in get_distro_upgrades
    pkgs = self.yumbase.pkgSack.returnNewestByName(name='preupgrade')
  File "/usr/lib/python2.6/site-packages/yum/__init__.py", line 646, in <lambda>
    pkgSack = property(fget=lambda self: self._getSacks(),
  File "/usr/lib/python2.6/site-packages/yum/__init__.py", line 488, in _getSacks
    self.repos.populateSack(which=repos)
  File "/usr/lib/python2.6/site-packages/yum/repos.py", line 260, in populateSack
    sack.populate(repo, mdtype, callback, cacheonly)
  File "/usr/lib/python2.6/site-packages/yum/yumRepo.py", line 162, in populate
    if self._check_db_version(repo, mydbtype):
  File "/usr/lib/python2.6/site-packages/yum/yumRepo.py", line 220, in _check_db_version
    return repo._check_db_version(mdtype)
  File "/usr/lib/python2.6/site-packages/yum/yumRepo.py", line 1174, in _check_db_version
    repoXML = self.repoXML
  File "/usr/lib/python2.6/site-packages/yum/yumRepo.py", line 1337, in <lambda>
    repoXML = property(fget=lambda self: self._getRepoXML(),
  File "/usr/lib/python2.6/site-packages/yum/yumRepo.py", line 1333, in _getRepoXML
    raise Errors.RepoError, msg
RepoError: Cannot retrieve repository metadata (repomd.xml) for repository: fedora. Please verify its path and try again


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 James Antill 2009-06-22 01:48:36 EDT
was there any output before the above?
what does yum --version say?
is it still happening?
Are you behind a proxy? if so does it work if you change https to http in /etc/yum.repos.d/*.repo ?
Comment 2 seth vidal 2009-07-08 15:13:11 EDT
ping. Need Input, please.
Comment 3 David Juran 2009-07-24 09:54:36 EDT
I did not get the traceback above but I did get the error message:

Error: Cannot retrieve repository metadata (repomd.xml) for repository: fedora. Please verify its path and try again

this is with 

yum-3.2.23-3.fc11.noarch

[root@serinia tmp]# yum --version
3.2.23
  Installed: rpm-4.7.0-2.fc11.x86_64 at 2009-07-24 13:51
  Built    : Fedora Project at 2009-06-18 16:12
  Committed: Panu Matilainen <pmatilai@redhat.com> at 2009-06-18 12:00

  Installed: yum-3.2.23-3.fc11.noarch at 2009-07-24 13:46
  Built    : Fedora Project at 2009-05-20 22:29
  Committed: Seth Vidal <skvidal at fedoraproject.org> at 2009-05-20 12:00

  Installed: yum-metadata-parser-1.1.2-12.fc11.x86_64 at 2009-07-24 13:16
  Built    : Fedora Project at 2009-02-25 18:45
  Committed: Fedora Release Engineering <rel-eng@lists.fedoraproject.org> at 2009-02-25 22:00

And yes, I am behind a proxy and after changing from https to http in /etc/yum.repos.d/*.repo everything works like a charm.
Comment 4 David Juran 2009-07-24 10:03:48 EDT
On closer look, I'm fairly sure I waas hit by bug 484491 but then again, I didn't see the traceback. Setting the Bz back to need-info
Comment 5 sean 2009-07-25 08:53:38 EDT
Issue with repomd.xml has returned.

-----

$ yum --version
3.2.23
  Installed: rpm-4.7.0-2.fc11.x86_64 at 2009-07-12 12:35
  Built    : Fedora Project at 2009-06-18 16:12
  Committed: Panu Matilainen <pmatilai@redhat.com> at 2009-06-18 12:00

  Installed: yum-3.2.23-3.fc11.noarch at 2009-06-17 09:05
  Built    : Fedora Project at 2009-05-20 22:29
  Committed: Seth Vidal <skvidal at fedoraproject.org> at 2009-05-20 12:00

  Installed: yum-metadata-parser-1.1.2-12.fc11.x86_64 at 2009-05-16 01:37
  Built    : Fedora Project at 2009-02-25 18:45
  Committed: Fedora Release Engineering <rel-eng@lists.fedoraproject.org> at 2009-02-25 22:00

-----

Description of problem:An internal system error has occurred.

Traceback (most recent call last):
  File "/usr/share/PackageKit/helpers/yum/yumBackend.py", line 2093, in get_distro_upgrades
    pkgs = self.yumbase.pkgSack.returnNewestByName(name='preupgrade')
  File "/usr/lib/python2.6/site-packages/yum/__init__.py", line 649, in <lambda>
    pkgSack = property(fget=lambda self: self._getSacks(),
  File "/usr/lib/python2.6/site-packages/yum/__init__.py", line 491, in _getSacks
    self.repos.populateSack(which=repos)
  File "/usr/lib/python2.6/site-packages/yum/repos.py", line 260, in populateSack
    sack.populate(repo, mdtype, callback, cacheonly)
  File "/usr/lib/python2.6/site-packages/yum/yumRepo.py", line 162, in populate
    if self._check_db_version(repo, mydbtype):
  File "/usr/lib/python2.6/site-packages/yum/yumRepo.py", line 220, in _check_db_version
    return repo._check_db_version(mdtype)
  File "/usr/lib/python2.6/site-packages/yum/yumRepo.py", line 1178, in _check_db_version
    repoXML = self.repoXML
  File "/usr/lib/python2.6/site-packages/yum/yumRepo.py", line 1342, in <lambda>
    repoXML = property(fget=lambda self: self._getRepoXML(),
  File "/usr/lib/python2.6/site-packages/yum/yumRepo.py", line 1338, in _getRepoXML
    raise Errors.RepoError, msg
RepoError: Cannot retrieve repository metadata (repomd.xml) for repository: fedora. Please verify its path and try again

-----

NOT behind a proxy. Disabled all Software Sources except for Fedora and Fedora-Updates. Last traceback (above) with edits to /etc/yum.repos.d/fedora.repo;  /etc/yum.repos.d/fedora-updates.repo from https:// to http://. Disabled firewall.
Comment 6 seth vidal 2009-08-03 11:39:53 EDT
If you can test a new pkg - respond to this bug. I'd like to see if a new version of urlgrabber can help this problem.
Comment 7 seth vidal 2009-08-27 16:59:02 EDT
try out python-urlgrabber from rawhide. I believe it solves this problem.

Note You need to log in before you can comment on or make changes to this bug.